# Files ending with .conf and located in the /etc/needrestart/conf.d
# directory are parsed by needrestart's default configuration file.
#
# Files are parsed in order (using Perl's sort sub) and override or
# modify any previously set config option.


# Blacklist binaries (list of regex).
$nrconf{blacklist} = [
    # ignore sudo (not a daemon)
    qr(^/usr/bin/sudo(\.dpkg-new)?$),

    # ignore DHCP clients
    qr(^/sbin/(dhclient|dhcpcd5|pump|udhcpc)(\.dpkg-new)?$),

    # ignore apt-get (Debian Bug#784237)
    qr(^/usr/bin/apt-get(\.dpkg-new)?$),

    # ignore salt-minion, deze gaat fout op lxc host
    #qr(^/usr/bin/salt-minion$),
    qr(^/usr/bin/python2.7$),
    qr(^/usr/bin/python3.5$),

    # ignore atlassian meuk
    qr(^/opt/atlassian),
];

# Blacklist services (list of regex) - USE WITH CARE.
# You should prefere to put services to $nrconf{override_rc} instead.
# Any service listed in $nrconf{blacklist_rc} we be ignored completely!
$nrconf{blacklist_rc} = [
    qr(^esets_eia.service$),
    qr(^efs.service$),
    qr(^elasticsearch.service$),
    qr(^eraagent.service$),
    qr(^icinga2.service$),
    qr(^jenkins.service$),
    qr(^logstash.service$),
    qr(^containerd.service$),
    qr(^docker.service$),
];
